<?php
/**
 * Kalium WordPress Theme
 *
 * Static Header Types
 *
 * Early implementation of header in Kalium theme, still works but now more priority is given to Custom Header
 *
 * Laborator.co
 * www.laborator.co
 *
 * @deprecated 3.0 This template file will be removed or replaced with new one in templates/ folder.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

// Nav menu
$nav = kalium_nav_menu( [
	'theme_location' => 'main-menu',
] );

// Current menu skin
switch ( $menu_type ) {

	// Fullscreen Menu
	case 'full-bg-menu':
		$current_menu_skin = kalium_get_theme_option( 'menu_full_bg_skin' );
		break;

	// Standard Menu
	case 'standard-menu':
		$current_menu_skin = kalium_get_theme_option( 'menu_standard_skin' );
		break;

	// Top Menu
	case 'top-menu':
		$current_menu_skin = kalium_get_theme_option( 'menu_top_skin' );
		break;

	// Sidebar Menu
	case 'sidebar-menu':
		$current_menu_skin = kalium_get_theme_option( 'menu_sidebar_skin' );
		break;
}

// Sub menu indicator
$submenu_dropdown_indicator = kalium_get_theme_option( 'submenu_dropdown_indicator' );
?>
<div class="container">

    <div class="logo-and-menu-container">

		<?php do_action( 'kalium_header_main_before_logo' ); ?>

        <div itemscope itemtype="http://schema.org/Organization" class="logo-column">

			<?php get_template_part( 'tpls/logo' ); ?>

        </div>

		<?php do_action( 'kalium_header_main_before_menu' ); ?>

        <div class="menu-column">
			<?php

			// Show Menu (by type)
			switch ( $menu_type ) :

				case 'full-bg-menu':

					$menu_full_bg_search_field = kalium_get_theme_option( 'menu_full_bg_search_field' );
					$menu_full_bg_alignment = kalium_get_theme_option( 'menu_full_bg_alignment' );
					$menu_full_bg_footer_block = kalium_get_theme_option( 'menu_full_bg_footer_block' );
					$menu_full_bg_skin = kalium_get_theme_option( 'menu_full_bg_skin' );
					$menu_full_bg_opacity = kalium_get_theme_option( 'menu_full_bg_opacity' );

					$menu_bar_skin_active = $menu_full_bg_skin;

					switch ( $menu_full_bg_skin ) {
						case "menu-skin-light":
							$menu_bar_skin_active = 'menu-skin-dark';
							break;

						default:
							$menu_bar_skin_active = 'menu-skin-light';
					}

					?>
                    <div class="full-bg-menu-items menu-items-blocks">

						<?php

						// Show Language Switcher
						if ( kalium_get_theme_option( 'header_wpml_language_switcher' ) ) {
							kalium_wpml_language_switcher( $current_menu_skin );
						}

						// Show Search Field
						kalium_header_search_field( $current_menu_skin );

						// Show Mini Cart
						if ( kalium()->is->woocommerce_active() ) {
							kalium_woocommerce_header_mini_cart( $current_menu_skin );
						}

						?>
                        <a class="<?php kalium()->helpers->list_classes( [
							'menu-bar',
							$current_menu_skin
						], true ); ?>" data-menu-skin-default="<?php echo esc_attr( $current_menu_skin ); ?>" data-menu-skin-active="<?php echo esc_attr( $menu_bar_skin_active ); ?>" href="#">
							<?php kalium_menu_icon_or_label(); ?>
                        </a>

                    </div>
					<?php

					break;

				case 'standard-menu':

					$menu_standard_menu_bar_visible = kalium_get_theme_option( 'menu_standard_menu_bar_visible' );
					$menu_standard_skin = kalium_get_theme_option( 'menu_standard_skin' );
					$menu_standard_menu_bar_effect = kalium_get_theme_option( 'menu_standard_menu_bar_effect' );

					// Standard menu classes
					$standard_menu_classes = array( 'menu-items-blocks', 'standard-menu-container' );

					$standard_menu_classes[] = $menu_standard_skin;
					$standard_menu_classes[] = $menu_standard_menu_bar_effect;

					if ( $menu_standard_menu_bar_visible ) {
						$standard_menu_classes[] = 'menu-bar-root-items-hidden';
					}

					if ( $submenu_dropdown_indicator ) {
						$standard_menu_classes[] = 'dropdown-caret';
					}

					// Standard menu bar classes
					$standard_menu_bar_classes   = array( 'menu-bar' );
					$standard_menu_bar_classes[] = $menu_standard_skin;

					if ( ! $menu_standard_menu_bar_visible ) {
						$standard_menu_bar_classes[] = 'menu-bar-hidden-desktop';
					}
					?>
                    <div class="<?php kalium()->helpers->list_classes( $standard_menu_classes, true ); ?>">

                        <nav><?php echo $nav; ?></nav>

						<?php
						// Show Language Switcher
						if ( kalium_get_theme_option( 'header_wpml_language_switcher' ) ) {
							kalium_wpml_language_switcher( $current_menu_skin );
						}

						// Show Search Field
						kalium_header_search_field( $current_menu_skin );

						// Show Mini Cart
						if ( kalium()->is->woocommerce_active() ) {
							kalium_woocommerce_header_mini_cart( $current_menu_skin );
						}
						?>

                        <a class="<?php kalium()->helpers->list_classes( $standard_menu_bar_classes, true ); ?>" href="#" aria-label="Mobile menu">
							<?php kalium_menu_icon_or_label(); ?>
                        </a>
                    </div>
					<?php
					break;

				case 'top-menu':

					$top_menu_classes = array(
						'menu-bar',
						$current_menu_skin,
					);

					$menu_top_skin = kalium_get_theme_option( 'menu_top_skin' );

					?>
                    <div class="menu-items-blocks top-menu-items">

						<?php
						// Show Language Switcher
						if ( kalium_get_theme_option( 'header_wpml_language_switcher' ) ) {
							kalium_wpml_language_switcher( $current_menu_skin );
						}

						// Show Search Field
						kalium_header_search_field( $current_menu_skin );

						// Show Mini Cart
						if ( kalium()->is->woocommerce_active() ) {
							kalium_woocommerce_header_mini_cart( $current_menu_skin );
						}
						?>

                        <a <?php kalium_class_attr( $top_menu_classes ); ?> href="#">
							<?php kalium_menu_icon_or_label(); ?>
                        </a>

                    </div>
					<?php
					break;

				case 'sidebar-menu':

					$menu_sidebar_skin = kalium_get_theme_option( 'menu_sidebar_skin' );

					?>

                    <div class="menu-items-blocks sidebar-menu-items">

						<?php
						// Show Language Switcher
						if ( kalium_get_theme_option( 'header_wpml_language_switcher' ) ) {
							kalium_wpml_language_switcher( $current_menu_skin );
						}

						// Show Search Field
						kalium_header_search_field( $current_menu_skin );

						// Show Mini Cart
						if ( kalium()->is->woocommerce_active() ) {
							kalium_woocommerce_header_mini_cart( $current_menu_skin );
						}

						// Menu bar
						?>
                        <a class="<?php kalium()->helpers->list_classes( [
							'menu-bar',
							$current_menu_skin
						], true ); ?>" href="#">
							<?php kalium_menu_icon_or_label(); ?>
                        </a>

                    </div>
				<?php

			endswitch;
			?>
        </div>

    </div>

	<?php
	// Full Screen Menu Container
	if ( $menu_type == 'full-bg-menu' ) {
		kalium_header_fullscreen_menu();
	}
	?>

</div>
