<?php
/**
 * Kalium WordPress Theme
 *
 * Laborator.co
 * www.laborator.co
 *
 * @deprecated This template will be removed in the near future. Use templates/elements/logo.php instead.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

// Use image logo
$use_uploaded_logo = kalium_get_theme_option( 'use_uploaded_logo' );

// Image logo
if ( $use_uploaded_logo ) {
	$custom_logo_image            = kalium_get_theme_option( 'custom_logo_image' );
	$custom_logo_max_width        = kalium_get_theme_option( 'custom_logo_max_width' );
	$custom_logo_mobile_max_width = kalium_get_theme_option( 'custom_logo_mobile_max_width' );

	if ( $logo_image = wp_get_attachment_image_src( $custom_logo_image, 'original' ) ) {
		list( $logo_image_url, $logo_image_width, $logo_image_height ) = $logo_image;

		if ( ! $custom_logo_max_width ) {
			$custom_logo_max_width = $logo_image_width;
		}
	} else {
		$custom_logo_image = false;
	}

	// Custom logo width
	if ( $custom_logo_image && $custom_logo_max_width ) {
		$custom_logo_max_height = $logo_image_width > 1 ? ( $custom_logo_max_width / $logo_image_width ) * $logo_image_height : false;
		kalium_append_custom_css( '.logo-image', "width: {$custom_logo_max_width}px;" . when_match( $custom_logo_max_height, "height: {$custom_logo_max_height}px;", '', false ) );
	}

	// Custom logo mobile width
	if ( $custom_logo_image && $custom_logo_mobile_max_width ) {
		$mobile_menu_breakpoint        = kalium_get_mobile_menu_breakpoint();
		$custom_logo_mobile_max_height = $logo_image_width > 1 ? ( $custom_logo_mobile_max_width / $logo_image_width ) * $logo_image_height : false;
		$custom_logo_mobile_important  = apply_filters( 'kalium_logo_mobile_width_force_important', false ) ? '!important' : ''; // Temporary fix until a newer version of sticky menu is released
		kalium_append_custom_css( '.logo-image', "width: {$custom_logo_mobile_max_width}px {$custom_logo_mobile_important};" . when_match( $custom_logo_mobile_max_height, "height: {$custom_logo_mobile_max_height}px {$custom_logo_mobile_important};", '', false ), "screen and (max-width: {$mobile_menu_breakpoint}px)" );
	}
}

/**
 * Hook: kalium_before_logo.
 */
do_action( 'kalium_before_logo' );

// Classes
$classes = [
	'header-logo',
];

// Logo type class
$classes[] = $use_uploaded_logo ? 'logo-image' : 'logo-text';

// Logo URL
$logo_url = apply_filters( 'kalium_logo_url', home_url() );

?>
    <a itemprop="url" href="<?php echo esc_url( $logo_url ); ?>" <?php kalium_class_attr( $classes ); ?>>
		<?php
		if ( $use_uploaded_logo && ! empty( $logo_image_url ) ) {

			echo sprintf(
				'<img itemprop="logo" src="%s" class="main-logo" width="%d" height="%d" alt="%s" />',
				esc_url( str_replace( [ 'http:', 'https:' ], '', $logo_image_url ) ),
				esc_attr( $logo_image_width ),
				esc_attr( $logo_image_height ),
				esc_attr( get_bloginfo( 'name' ) )
			);

		} else {
			echo esc_html( kalium_get_theme_option( 'logo_text' ) );
		}
		?>
    </a>
<?php

/**
 * Hook: kalium_after_logo.
 */
do_action( 'kalium_after_logo' );
