<?php
/**
 * Kalium WordPress Theme
 *
 * Laborator.co
 * www.laborator.co
 *
 * @deprecated 3.0 This template file will be removed or replaced with new one in templates/ folder.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

// Queried object
$queried_object_id = kalium_get_queried_object_id();

// Do not show on archive pages
if ( ! is_singular() || ! $queried_object_id ) {
	return;
}

/**
 * Hook: kalium_header_main_heading_title_before.
 */
do_action( 'kalium_header_main_heading_title_before' );

// Show heading title if allowed
$show_heading_title = kalium_get_field( 'heading_title', $queried_object_id );

if ( $show_heading_title ) {
	$current_post       = get_post( $queried_object_id );
	$title_type         = kalium_get_field( 'page_heading_title_type', $queried_object_id );
	$description_type   = kalium_get_field( 'page_heading_description_type', $queried_object_id );
	$custom_title       = kalium_get_field( 'page_heading_custom_title', $queried_object_id );
	$custom_description = kalium_get_field( 'page_heading_custom_description', $queried_object_id );

	// Set current post
	setup_postdata( $current_post );

	if ( 'post_title' === $title_type ) {
		$custom_title = get_the_title();
	}

	if ( 'post_content' === $description_type ) {
		$custom_description = get_the_content();
	}

	// Sanitize title and description
	$custom_title       = wp_kses( $custom_title, [
		'span'   => [
			'class' => [],
		],
		'strong' => [],
	] );
	$custom_description = kalium_format_content( $custom_description );

	// Reset post data
	wp_reset_postdata();

	?>
    <div class="container page-heading-title">
        <div class="row">
            <div class="col-sm-12">
                <div class="section-title">
                    <h1><?php echo $custom_title; ?></h1>
					<?php echo $custom_description; ?>
                </div>
            </div>
        </div>
    </div>
	<?php

	define( 'HEADING_TITLE_DISPLAYED', true );
}
